\documentclass[11pt,a4paper]{article}

\usepackage{amssymb, amsthm, enumerate, amsmath}
\usepackage{../../yomcat}

\pagestyle{empty}

\theoremstyle{definition}
\newtheorem{Q}{Question}
\newtheorem*{sol}{Solution}
\newtheorem*{solution}{Solution}

\setlength\arraycolsep{2pt}
\setlength\headheight{0pt}
\setlength\headsep{0pt}
\setlength\textwidth{400pt}
\setlength\marginparwidth{0pt}

\makeatletter
\def\imod#1{\allowbreak\mkern10mu({\operator@font mod}\,\,#1)}
\makeatother

\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 409 \hfill
Assignment 1 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}[(1).]
	\item \begin{enumerate}[(a)]
		\item \begin{enumerate}[i.]
			\item 2nd figure IEO by the method from lectures, 2nd figure EIO by the method from the book. It is a valid argument.
			\item The method from lectures and the method from the book both give the same answer: 1st figure EAI. It is not a valid argument.
			\end{enumerate}
		\item ii is the not valid argument. To make it valid, change the conclusion to ``No pirates are reliable''. If we assume the classes to be non-empty, the conclusion ``Some pirates are unreliable'' is valid.
		\end{enumerate}
	\item \begin{enumerate}[(a)]
		\item \begin{align*}
			0 &= \ol{\ol{AB} \cup B} \\
			&= \ol{(\ol{A} \cup B)(\ol{B} \cup B)} \\
			&= \ol{(\ol{A} \cup B)(1)} \\
			&= (\ol{\ol{A} \cup B}) \cup \ol{1} \\
			&= \ol{\ol{A}B} \cup \ol{1} \\
			&= A\ol{B} \cup \ol{1} \\
			&= A\ol{B} \cup 0 \\
			&= A\ol{B}
			\end{align*}
		\item \begin{align*}
			0 &= AB \\
			0 &= \ol{(B \cup C)} \\
			&= \ol{BC} \\
			&= 0 \cup \ol{BC} \\
			&= (0 \cup \ol{B})(0 \cup \ol{C}) \\
			&= (AB \cup \ol{B}) \cap \ol{C} \\
			&= (A \cup \ol{B})(B \cup \ol{B}) \cap \ol{C} \\
			&= (A \cup \ol{B}) \cap 1 \cap \ol{C} \\
			&= A\ol{C} \cup \ol{BC} \\
			&= A\ol{C} \cup 0 \\
			&= A\ol{C}
			\end{align*}
		\end{enumerate}
	\item 
	$\begin{array}{cc|@{\quad}c@{\quad}c@{\quad}c@{\quad}c}
	P & Q & P \liff \lnot P & Q \to (P \lor \lnot P) & \lnot (P \land Q) & (P \to Q) \lor P \\ \hline
	1 & 0 & 0 & 1 & 0 & 1 \\
	1 & 1 & 0 & 1 & 1 & 1 \\
	0 & 0 & 0 & 1 & 1 & 1 \\
	0 & 1 & 0 & 1 & 1 & 1
	\end{array}$
	\item \begin{enumerate}[(a)]
		\item It is always a tautology \begin{align*}
			\lnot F \to ((G \to F) \to \lnot G) &\sim \lnot \lnot F \lor ((G \to F) \to \lnot G) \\
			&\sim F \lor (\lnot(G \to F) \lor \lnot G) \\
			&\sim F \lor (\lnot(\lnot G \lor F) \lor \lnot G) \\
			&\sim (F \lor \lnot G) \lor \lnot (F \lor \lnot G) \\
			&\sim 1
			\end{align*}
		\item It is not always a tautology. If $F = p$ and $G = q$ then the formula-type is contingent.
		\end{enumerate}
	\item No. Let $F$ be a contingent formula, and let $G = \lnot F$. Then neither $F$ nor $G$ is a contradiction, but $F \land G$ is.
	\item \begin{enumerate}[(a)]
		\item $a, b \in \Phi$. $a \sim b$ iff $a$ and $b$ have the same truth evalution. That is, $a \sim b$ iff $\phi(a) = \phi(b)$. Therefore, $\sim$ is an equivalence relation on $\Phi$.
		\item $8$. There are 4 different choices for $p$ and $q$, and each value can be either $0$ or $1$. Therefore, there are $2 \times 4$ equivalence classes. Another way to look at this is to count the number of ordered triples from the set $\{0, 1\}$, which is $8$.
		\end{enumerate}
	\end{enumerate}

\end{document}